Bug 239895 (perl-Math-Base85) - Review Request: perl-Math-Base85 - perl extension for base 85 numbers,
Summary: Review Request: perl-Math-Base85 - perl extension for base 85 numbers,
Status: CLOSED NEXTRELEASE
Alias: perl-Math-Base85
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: perl-Net-IPv6Addr
TreeView+ depends on / blocked
 
Reported: 2007-05-12 00:30 UTC by Sindre Pedersen Bjørdal
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-30 22:26:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Sindre Pedersen Bjørdal 2007-05-12 00:30:18 UTC
Spec URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Math-Base85.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Math-Base85-0.2-1.fc7.src.rpm

Description:

RFC 1924 describes a compact, fixed-size representation of IPv6 addresses
which uses a base 85 number system. This module handles some of the uglier
details of it.

Comment 1 Chris Weyl 2007-05-14 20:24:08 UTC
License tag should be "GPL or Artistic".

Perversely enough, this package does not need a br on perl(Test::More) *sigh*

There's a RFC included in the package.  Why not add it to %doc?

Update the license tag, drop the br on perl(Test::More), add the rfc to %doc
and I'll approve :)

+ source files match upstream:
 3a2914651dc680fd22661f35213211d3  Math-Base85-0.2.tar.gz
 3a2914651dc680fd22661f35213211d3  Math-Base85-0.2.tar.gz.srpm
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  License text included in package.
+ latest version is being packaged.
X BuildRequires are proper.
+ compiler flags are appropriate. (noarch)
+ %clean is present.
+ package installs properly
+ rpmlint is silent.
+ final provides and requires are sane:
 ** perl-Math-Base85-0.2-1.fc6.noarch.rpm
 == rpmlint
 == provides
 perl(Math::Base85) = 0.2
 perl-Math-Base85 = 0.2-1.fc6
 == requires
 perl(:MODULE_COMPAT_5.8.8)  
 perl(Carp)  
 perl(Exporter)  
 perl(Math::BigInt)  
 perl(constant)  
 perl(strict)  
 perl(vars) 
+ %check is present and all tests pass
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.

Comment 2 Sindre Pedersen Bjørdal 2007-05-22 15:06:50 UTC
Updated:
- Add rfc1924.txt to %doc
- Remove unnecessary BR
- Fix license tag


Spec URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Math-Base85.spec
SRPM URL:
http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Math-Base85-0.2-2.fc7.src.rpm

Comment 3 Chris Weyl 2007-05-22 15:45:44 UTC
APPROVED

Comment 4 Sindre Pedersen Bjørdal 2007-05-23 00:05:53 UTC
New Package CVS Request
=======================
Package Name: perl-Math-Base85
Short Description: perl extension for base85 numbers
Owners: foolish@guezz.net
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: 

Comment 5 Tom "spot" Callaway 2007-05-23 15:43:44 UTC
cvs done


Note You need to log in before you can comment on or make changes to this bug.